List Content Sources

List Content Sources
Get content sources. Deprecated: Use /content/api/sources/list

Deprecated in favor of /content/api/sources/list due to improper usage of query parameters

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/content/api/sources
COPY
Query Parameters
request
Required

request

pageable
Required

pageable

string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information, please refer to /content/api/about

string
typeIds
Optional

Search based on Content Source Type Ids

integer
page
Optional

Page you want to retrieve (1..N)

page example
1
integer
size
Optional

Number of records per page

size example
10

Authentication
This operation uses the following authentication methods.
Responses
200

Content sources

Returns ContentSources of type(s) application/json
{
    "content": [
        {
            "id": "string",
            "name": "string",
            "description": "string",
            "typeId": "string",
            "createdAt": "string",
            "createdBy": "string",
            "lastUpdatedAt": "string",
            "lastUpdatedBy": "string",
            "projectId": "string",
            "config": {},
            "orgId": "string",
            "syncEnabled": false
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    },
    "links": [
        {
            "href": "string",
            "rel": "string"
        }
    ]
}
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


401

Unauthorized

Returns ContentSources of type(s) application/json
{
    "content": [
        {
            "id": "string",
            "name": "string",
            "description": "string",
            "typeId": "string",
            "createdAt": "string",
            "createdBy": "string",
            "lastUpdatedAt": "string",
            "lastUpdatedBy": "string",
            "projectId": "string",
            "config": {},
            "orgId": "string",
            "syncEnabled": false
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    },
    "links": [
        {
            "href": "string",
            "rel": "string"
        }
    ]
}
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


403

Forbidden

Returns ContentSources of type(s) application/json
"ContentSources Object"
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


404

Not Found

Returns ContentSources of type(s) application/json
"ContentSources Object"
array of object
content
Optional

content

object
page
Optional

page

array of object
links
Optional

links


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/content/api/sources?request=value&pageable=v